Subject: [mpls-tp] (H)VPLS support in MPLS-TP

From: maarten vissers <[email-masked]>
Date: Fri, 10 Dec 2010 14:50:17 +0000

MPLS-TP networks have to support E-Tree and E-LAN services.

In MPLS, those services are supported by means of (H)VPLS.
(H)VPLS is supported by RMP and MP2MP VLANs.
The VLAN frames are carried over P2P Ethernet-PWs over MP2P LSPs.
If two PEs A and B are a member of e.g. 50 of those RMP/MP2MP VLANs,
then the LSP between PEs A and B will carry 50 P2P Ethernet-PWs. Those
50 Ethernet-PWs will each run MPLS PW OAM to detect the status of
each connection between PE A and PE B.

(H)VPLS in MPLS-TP will be supported over P2P transport-LSPs instead
of the MPLS MP2P LSPs. The status of the e.g. 50 Ethernet-PWs between PE A
and PE B can in this case be inferred from the status of the P2P transport-LSP
between PE A and PE B. This reduces the amount of OAM to manage on
the PE NNI ports.

This would imply that it is not necessary to activate (or to implement) MPLS-TP
PW OAM for those (H)VPLS Ethernet-PW connections.

Is this an acceptable (H)VPLS architecture in a MPLS-TP network?

Regards,
Maarten